Package org.gradle.api.file

# Enum FileType

java.lang.Object
java.lang.Enum<FileType>
org.gradle.api.file.FileType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileType>`, `Constable`

public enum FileType extends Enum<FileType>
The type of a file.

Since:
  5.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIRECTORY`
  `FILE`
  `MISSING`
  Element of an input property pointing to a non-existing file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FileType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE

    public static final FileType FILE

  - ### DIRECTORY

    public static final FileType DIRECTORY

  - ### MISSING

    public static final FileType MISSING
    Element of an input property pointing to a non-existing file.

- ## Method Details

  - ### values

    public static FileType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FileType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null